Gentoo Archives: gentoo-alt

From: Fabian Groffen <grobian@g.o>
To: gentoo-alt@l.g.o
Subject: Re: [gentoo-alt] emerge portage-2.2.00.9894 crash
Date: Fri, 16 May 2008 09:29:30
Message-Id: 20080516092919.GD16108@gentoo.org
In Reply to: [gentoo-alt] emerge portage-2.2.00.9894 crash by matt hull
On 15-05-2008 15:47:50 -0500, matt hull wrote:
> havent used my prefix on osx.4.11, ppc in a while and went to update and > didnt get far, any ideas ?
9894 is really old. Do you have to install it? We're in 10k range with Portage versions these days ;)
> >>> Completed installing portage-2.2.00.9894 into > /Users/matt/gentoo/var/tmp/portage/sys-apps/portage-2.2.00.9894/image/Users/matt/gentoo/ > > Traceback (most recent call last): > raise OperationNotPermitted(func_call) > portage.exception.OperationNotPermitted: > chown('/Users/matt/gentoo/var/tmp/portage/sys-apps/portage-2.2.00.9894/image/Users', > 501, 501)
I think I've seen this before, and I also think it's fixed now. In the worst case you'll have to modify the python code of the currently running Portage to install a newer one. -- Fabian Groffen Gentoo on a different level -- gentoo-alt@l.g.o mailing list